/* $Id: scheduleproperties.js,v 1.21 2008/12/02 13:03:12 vasus Exp $ */


function validateSchedulePropViewForUpdate(form)
{
  if(!checkRecurrenceValues(form))
  {
	return false;
  }

  if(!deviceGroupChooserValidation(form))
  {
	return false;
  }

  //selectEmailRecipients(form.EMAIL_RECIPIENTS);

  var toAddress = form.EMAIL_RECIPIENTS.value;

  if(!checkEmailValidity(toAddress,form))
    {
	form.EMAIL_RECIPIENTS.focus();
        return false;
    }

  if(form.TASK_TYPE.value == "Custom Template")
  {
  	return checkIfAllVariableValuesGiven(varNames);
  }
}

function validateSchedulePropViewForAdd(form)
{
  if(!validateForm(form))
  {
    return false;
  }
  
  var result = isUniqueColoumn('Schedule','SCHEDULE_NAME',form.SCHEDULE_NAME.value);
  if(result != "true")
  {
      alert("A schedule with this name already exists. Enter a different name");
      return false;
  }
  

  // need add script to verify empty schedule name also
  if(!checkRecurrenceValues(form))
  {
	return false;
  }

  if(!deviceGroupChooserValidation(form))
  {
	return false;
  }
  
  //selectEmailRecipients(form.EMAIL_RECIPIENTS);

  var toAddress = form.EMAIL_RECIPIENTS.value;
  if(!checkEmailValidity(toAddress,form))
    {
	form.EMAIL_RECIPIENTS.focus();
        return false;
    }

  if(form.TASK_TYPE.value == "Custom Template")
  {
  	return checkIfAllVariableValuesGiven(varNames);
  }
}

function showHideForScheduleTypeSelection(value, form,instanceid)
{
    var reportChooseObj1 = MM_findObj('report_choose1');
    var reportChooseObj2 = MM_findObj('report_choose2');

    var ctChooserObj1 = MM_findObj('customtemplate_choose1');
    var templatedetailsObj = MM_findObj('templatedetails');
    var customtemplateobj = MM_findObj('CUSTOM_TEMPLATE_NAME');

    var bkpNotif = MM_findObj('bkpnotifcon_row');
    var compNotif = MM_findObj('compnotifcon_row');
    var backupEnabledObj = MM_findObj('ct_backupenabled_row');

    if(value  == "Report Generation")
    {
	reportChooseObj1.className="";
	reportChooseObj2.className="";
	bkpNotif.className='hide';
	compNotif.className='hide';
	backupEnabledObj.className = 'hide';
	ctChooserObj1.className='hide';
	templatedetailsObj.className='hide';
	handleSchReportNameSelection(form.REPORT_TEMPLATE_NAME.value , form)
    }
    else
    {
	reportChooseObj1.className="hide";
	reportChooseObj2.className="hide";
	templatedetailsObj.className='hide';
	
	if(value == "Configuration Backup")
	{
	    bkpNotif.className='';
	    compNotif.className='hide';
	    backupEnabledObj.className = 'hide';
	    ctChooserObj1.className='hide';
	}
	else if(value == "Compliance Check")
	{
	    bkpNotif.className='hide';
	    compNotif.className='';
	    backupEnabledObj.className = 'hide';
	    ctChooserObj1.className='hide';
	}
	else if(value == "Custom Template")
	{
	    bkpNotif.className='hide';
	    compNotif.className='hide';
	    ctChooserObj1.className='';
	    backupEnabledObj.className = '';
	    showCustomTemplateDetails(customtemplateobj.value,instanceid)
	}	
    }
}


function handleSchReportNameSelection(reportName, form)
{
//alert(reportName);
//alert(scheduleReport);
var reportObj = scheduleReport[reportName];
//alert(reportObj['time_req']);

var reportChooseObj2 = MM_findObj('report_choose2');
var deviceChoose = MM_findObj('device_choose');

if(reportObj['time_req'] == "true")
{
reportChooseObj2.className="";
}
else
{
reportChooseObj2.className="hide";
}

if(reportObj['device_req'] == "true")
{
deviceChoose.className="";
}
else
{
deviceChoose.className="hide";
}


}

function showCustomTemplateDetails(templateid,instanceid)
{
    var url = "CustomTemplateVariablesView.cc?TEMPLATE_ID="+templateid+"&IS_VIEW_MODE="+isviewmode;
    if(instanceid != null)
    {
    	url += "&INSTANCE_ID="+instanceid;	
    }   
    AjaxAPI.sendRequest({URL:url,ONSUCCESSFUNC:handleCustomTemplateResponse});
}

function handleCustomTemplateResponse(response,reqOptions)
{
    var opstatus = response.opStatus;
    var respMsg = response.getOnlyHtml();
    document.getElementById('TEMPLATE_DETAILS').innerHTML = respMsg;
    document.getElementById('templatedetails').className = "";
}

function checkEmailValidity(toAddress,form)
{

        toAddress = trimAll(toAddress);

	if(form.BKPNOTIF_CONDITION.checked==true || form.COMPNOTIF_CONDITION.value==true)
	{
		if(!isNotEmpty(toAddress))
		{
			alert("Enter the recipients in the 'Send Email Notification to' field");
			return false;
		}

		var toAddrArray = toAddress.split(",");
		var len = toAddrArray.length;
		for(i=0;i<=len;i++)
		{
			if(!checkEmailAddress(toAddrArray[i]))
			{
				return false;
			}
		}
	}else
		{
			if(isNotEmpty(toAddress))
			{
				var toAddrArray = toAddress.split(",");
				var len = toAddrArray.length;
				for(i=0;i<=len;i++)
				{
					if(!checkEmailAddress(toAddrArray[i]))
					{
						return false;
					}

				}
     			}
		return true;	
	}
}


